@echo off
echo.
echo Build batch file for PIC16F87x bootloader
echo.
echo Instructions:
echo 1. Edit this batch file to set path for mpasmwin in the \mplab directory
echo 2. Comment out the "list p=16f877" setting in bootldr.asm
echo 3. Comment out the "#define FOSC D'4000000'" setting in bootldr.asm
echo 4. Comment out the "#define BAUD D'19200'" setting in bootldr.asm
echo 5. Run this batch file
echo.
echo About to delete all .hex files in this directory.
echo Press ctrl-break to cancel or any other key to continue.
pause

del *.hex

echo.
echo Building ...
echo.

set mpasmwin=D:\PROGRA~2\MPLAB\MPASM.EXE

echo.
echo PIC16F876-77 SERIES:
echo.

echo PIC16F876-77, 3.6864Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16F877 /q /DFOSC=D'3686400' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "63619 - bootldr-16F876-77-03.6864Mhz-19200bps.hex"

echo PIC16F876-77, 4Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16F877 /q /DFOSC=D'4000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "60419 - bootldr-16F876-77-04Mhz-19200bps.hex"

echo PIC16F876-77, 10Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16F877 /q /DFOSC=D'10000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "61019 - bootldr-16F876-77-10Mhz-19200bps.hex"

echo PIC16F876-77, 16Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16F877 /q /DFOSC=D'16000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "61619 - bootldr-16F876-77-16Mhz-19200bps.hex"

echo PIC16F876-77, 20Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16F877 /q /DFOSC=D'20000000' /DBAUD=D'19200' BOOTLDR.ASM
if errorlevel 1 goto retry5
ren "bootldr.hex" "62019 - bootldr-16F876-77-20Mhz-19200bps.hex"

echo.
echo PIC16F873-74 SERIES:
echo.

echo PIC16F873-74, 3.6864Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f873 /q /DFOSC=D'3686400' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "33619 - bootldr-16F873-74-03.6864Mhz-19200bps.hex"

echo PIC16F873-74, 4Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f873 /q /DFOSC=D'4000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "30419 - bootldr-16F873-74-04Mhz-19200bps.hex"

echo PIC16F873-74, 10Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f873 /q /DFOSC=D'10000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "31019 - bootldr-16F873-74-10Mhz-19200bps.hex"

echo PIC16F873-74, 16Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f873 /q /DFOSC=D'16000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "31619 - bootldr-16F873-74-16Mhz-19200bps.hex"

echo PIC16F873-74, 20Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f873 /q /DFOSC=D'20000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "32019 - bootldr-16F873-74-20Mhz-19200bps.hex"

echo.
echo PIC16F870-71-72 SERIES:
echo.


echo PIC16F870-71-72, 3.6864Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f870 /q /DFOSC=D'3686400' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "03619 - bootldr-16F870-71-72-03.6864Mhz-19200bps.hex"

echo PIC16F870-71-72, 4Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f870 /q /DFOSC=D'4000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "00419 - bootldr-16F870-71-72-04Mhz-19200bps.hex"

echo PIC16F870-71-72, 10Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f870 /q /DFOSC=D'10000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "01019 - bootldr-16F870-71-72-10Mhz-19200bps.hex"

echo PIC16F870-71-72, 16Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f870 /q /DFOSC=D'16000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "01619 - bootldr-16F870-71-72-16Mhz-19200bps.hex"

echo PIC16F870-71-72, 20Mhz, 19200 baud
%mpasmwin% /e+ /l+ /x- /c+ /p16f870 /q /DFOSC=D'20000000' /DBAUD=D'19200' BOOTLDR.ASM
ren "bootldr.hex" "02019 - bootldr-16F870-71-72-20Mhz-19200bps.hex"

echo.
echo Finished!
echo.
pause

